Skip to main content
GET
/
v1
/
replica
List Replicas
curl --request GET \
  --url https://api.tryreplicas.com/v1/replica \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.tryreplicas.com/v1/replica"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.tryreplicas.com/v1/replica', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "replicas": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "created_at": "2023-11-07T05:31:56Z",
      "last_activity_at": "2023-11-07T05:31:56Z",
      "repositories": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "url": "<string>"
        }
      ],
      "pull_requests": [
        {
          "repository": "<string>",
          "number": 123,
          "url": "<string>"
        }
      ]
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "total_pages": 123
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}
{
"error": "<string>",
"details": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Obtain your API key from the Replicas dashboard under Preferences → Organization → Settings → API Keys.

Query Parameters

page
integer
default:1

Page number for pagination

Required range: x >= 1
limit
integer
default:10

Number of items per page

Required range: 1 <= x <= 100
user_id
string

Filter replicas by the user who created them

source
enum<string>

Filter replicas by creation source

Available options:
api,
dashboard,
slack,
linear,
github,
gitlab,
automation
status
enum<string>

Filter replicas by status

Available options:
active,
sleeping,
archived,
preparing,
error

Response

Successful response

replicas
object[]
required

Array of replicas

total
integer
required

Total number of replicas matching the filters

page
integer
required

Current page number

limit
integer
required

Number of items per page

total_pages
integer
required

Total number of pages